Change log for sssd package in Ubuntu

76145 of 145 results
Superseded in trusty-release on 2014-04-10
Deleted in trusty-proposed on 2014-04-11 (Reason: moved to release)
sssd (1.11.5-1ubuntu2) trusty; urgency=medium

  * Cherry-pick fix for crash with samba4 domains. (LP: #1305303)
  * Always pass -i to sssd in the upstart job to force it to stay in the
    foreground.
 -- Stephane Graber <email address hidden>   Wed, 09 Apr 2014 18:02:39 -0400
Superseded in trusty-release on 2014-04-09
Deleted in trusty-proposed on 2014-04-11 (Reason: moved to release)
sssd (1.11.5-1ubuntu1) trusty; urgency=medium

  * Merge from debian unstable.

Available diffs

Superseded in trusty-release on 2014-04-09
Superseded in trusty-release on 2014-04-01
Deleted in trusty-proposed on 2014-04-11 (Reason: moved to release)
sssd (1.11.4-1ubuntu2) trusty; urgency=medium

  * control: Move libsasl2-modules-ldap to Suggests for sssd-ldap.
 -- Timo Aaltonen <email address hidden>   Tue, 01 Apr 2014 14:39:44 +0300

Available diffs

Superseded in trusty-release on 2014-04-01
Deleted in trusty-proposed on 2014-04-02 (Reason: moved to release)
sssd (1.11.4-1ubuntu1) trusty; urgency=medium

  * control: Disable cmocka tests, FTBFS on LP.
 -- Timo Aaltonen <email address hidden>   Mon, 31 Mar 2014 15:06:03 +0300
Superseded in trusty-proposed on 2014-04-01
sssd (1.11.4-1) unstable; urgency=low


  * New upstream release.
  * control, rules: Add libcmocka-dev and re-add check to build-depends.
    Override dh_auto_test so that it shows the test error log if they fail.
  * rules: Fix the manpage date handling with a bigger hammer, and
    enable it for all manpages not just pam_sss.8. (Closes: #734083)
  * Drop an obsolete lintian override from libsss-sudo.

 -- Timo Aaltonen <email address hidden>  Fri, 21 Mar 2014 13:28:38 +0200

Available diffs

Superseded in trusty-release on 2014-04-01
Superseded in trusty-release on 2014-03-31
Deleted in trusty-proposed on 2014-04-02 (Reason: moved to release)
sssd (1.11.3-1) unstable; urgency=low


  * New upstream release.
  * control: Update policy to 3.9.5, no changes.

 -- Timo Aaltonen <email address hidden>  Fri, 03 Jan 2014 00:01:29 +0200

Available diffs

Superseded in trusty-release on 2014-01-03
Deleted in trusty-proposed on 2014-01-04 (Reason: moved to release)
sssd (1.11.2-1) UNRELEASED; urgency=low


  * New upstream release.
  * rules, sssd-common.install: Use the correct path for the systemd
    service file.
  * control: Build depend on libpam0g-dev | libpam-dev.

 -- Timo Aaltonen <email address hidden>  Wed, 06 Nov 2013 14:03:36 +0200
Superseded in trusty-proposed on 2013-11-19
sssd (1.11.1-1) unstable; urgency=low


  * New upstream release.
  * sssd-common.postinst, generate-config: Don't create a config on install,
    drop generate-config. (Closes: #717587)
  * sssd-common.postrm: Remove /etc/apparmor.d too, if empty.
  * control, rules, sssd-common.install: Install the systemd service
    file provided by upstream.
  * control: Drop M-A: foreign from sssd-* and add back to sssd instead.
  * control: Don't hardcode 'multiarch-support'.
  * control: Drop unnecessary multiarch declarations.
  * control: Drop obsolete Breaks/Conflicts.
  * rules: Enable parallel build.
  * control: Add libltdl-dev to build-depends.
  * control: Prepare for new unified samba package, adjust build-
    dependencies. Thanks, Ivo De Decker! (Closes: #725992)

 -- Timo Aaltonen <email address hidden>  Tue, 06 Aug 2013 17:04:28 +0300
Superseded in trusty-release on 2013-11-27
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
sssd (1.11.1-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.
    - re-enable parallel build
  * Dropped patches, both upstream.
 -- Timo Aaltonen <email address hidden>   Thu, 03 Oct 2013 00:13:18 +0300

Available diffs

Published in precise-updates on 2013-09-23
Deleted in precise-proposed (Reason: moved to -updates)
sssd (1.8.6-0ubuntu0.3) precise-proposed; urgency=low

  * Revert the pam password stack change, there's no way to fix it
    properly for every use case without adding new dependencies.
    (LP: #1159983)
 -- Timo Aaltonen <email address hidden>   Fri, 13 Sep 2013 11:36:12 +0300
Superseded in saucy-release on 2013-10-03
Deleted in saucy-proposed on 2013-10-04 (Reason: moved to release)
sssd (1.11.0-0ubuntu3) saucy; urgency=low

  * Cherry-pick two bugfixes from the sssd-devel mailing-list (pre-git):
    - ml-016435.diff (AD: async request to retrieve master domain info)
    - ml-016436.diff (AD: Failure to get flat name is not fatal)
 -- Stephane Graber <email address hidden>   Wed, 04 Sep 2013 14:50:06 -0400
Superseded in saucy-release on 2013-09-05
Deleted in saucy-proposed on 2013-09-06 (Reason: moved to release)
sssd (1.11.0-0ubuntu2) saucy; urgency=low

  * rules: Disable parallel building again, causes weird memory corruption
    errors.
 -- Timo Aaltonen <email address hidden>   Fri, 30 Aug 2013 07:34:16 +0300

Available diffs

Superseded in saucy-release on 2013-08-30
Deleted in saucy-proposed on 2013-08-31 (Reason: moved to release)
sssd (1.11.0-0ubuntu1) saucy; urgency=low

  * Sync from unreleased debian git.

Available diffs

Obsolete in raring-updates on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to -updates)
sssd (1.9.4-0ubuntu4.2) raring-proposed; urgency=low

  * apparmor-profile: Brown paper bag release; fix the path.
 -- Timo Aaltonen <email address hidden>   Sat, 06 Jul 2013 16:49:17 +0300
Superseded in saucy-release on 2013-08-29
Deleted in saucy-proposed on 2013-08-30 (Reason: moved to release)
sssd (1.10.0-1ubuntu1) saucy; urgency=low

  * Sync from debian unstable git.

Superseded in raring-proposed on 2013-08-15
sssd (1.9.4-0ubuntu4.1) raring-proposed; urgency=low

  * apparmor-profile: Fix the profile to use the multiarch path for
    it's helper location (LP: #1175317).
 -- Timo Aaltonen <email address hidden>   Mon, 17 Jun 2013 11:39:34 +0300

Available diffs

Superseded in saucy-release on 2013-07-05
Deleted in saucy-proposed on 2013-07-07 (Reason: moved to release)
sssd (1.9.5-0ubuntu4) saucy; urgency=low

  * Rebuild against newer libldb.
 -- Stephane Graber <email address hidden>   Fri, 21 Jun 2013 16:44:07 -0400

Available diffs

Superseded in saucy-release on 2013-06-21
Deleted in saucy-proposed on 2013-06-23 (Reason: moved to release)
sssd (1.9.5-0ubuntu3) saucy; urgency=low

  * Merge from unreleased Debian git.
    - apparmor-profile: Fix the profile to use the multiarch path for
      it's helper location (LP: #1175317).
 -- Timo Aaltonen <email address hidden>   Thu, 02 May 2013 15:52:19 +0300

Available diffs

Superseded in saucy-release on 2013-05-02
Deleted in saucy-proposed on 2013-05-03 (Reason: moved to release)
sssd (1.9.5-0ubuntu2) saucy; urgency=low

  * Rebuild against newer ding-libs for the ABI transition.
 -- Adam Conrad <email address hidden>   Mon, 29 Apr 2013 14:45:01 -0600
Superseded in saucy-proposed on 2013-04-29
sssd (1.9.5-0ubuntu1) saucy; urgency=low

  * Merge from unreleased Debian git.
  * Build against libsemanage again, since it's in main now.
 -- Timo Aaltonen <email address hidden>   Mon, 29 Apr 2013 12:17:32 +0300

Available diffs

Superseded in saucy-release on 2013-04-29
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
sssd (1.9.4-0ubuntu4) raring; urgency=low

  * Merge from unreleased debian git
    - cve-2013-0287-*.diff: Patches from upstream stable tree to fix
      CVE-2013-0287 (versions 1.9.0 and up)
    - libsss-sudo.postrm: Run ldconfig on remove/purge
    - fix-linking.diff: simple_access_tests need -ldl.
 -- Timo Aaltonen <email address hidden>   Wed, 17 Apr 2013 11:44:29 +0300

Available diffs

Superseded in raring-release on 2013-04-17
Deleted in raring-proposed on 2013-04-19 (Reason: moved to release)
sssd (1.9.4-0ubuntu3) raring; urgency=low

  * sssd.dirs: Add krb5 include dir.
 -- Timo Aaltonen <email address hidden>   Wed, 06 Mar 2013 11:42:00 +0200

Available diffs

Superseded in raring-release on 2013-03-06
Deleted in raring-proposed on 2013-03-07 (Reason: moved to release)
sssd (1.9.4-0ubuntu2) raring; urgency=low

  * Merge from unreleased debian git
    - Fix FTBFS on arm by raising test timeout to 30s
    - Introduces postinst/postrm to setup nsswitch.conf when installing
      libsss-sudo
 -- Stephane Graber <email address hidden>   Sun, 10 Feb 2013 18:37:02 -0500
Superseded in precise-updates on 2013-09-23
Deleted in precise-proposed on 2013-09-24 (Reason: moved to -updates)
sssd (1.8.6-0ubuntu0.2) precise-proposed; urgency=low

  * rules: Really install the new pam-auth-update file for password
    changes. (LP: #1086272)
  * rules: Pass --datadir, so the path in autogenerated python files is
    correctly substituted. (LP: #1079938)
 -- Timo Aaltonen <email address hidden>   Wed, 06 Feb 2013 01:07:09 +0200
Obsolete in quantal-updates on 2015-04-24
Deleted in quantal-proposed on 2015-05-01 (Reason: moved to -updates)
sssd (1.9.1-0ubuntu1.3) quantal-proposed; urgency=low

  * rules: Really install the new pam-auth-update file for password
    changes. (LP: #1086272)
  * rules: Pass --datadir, so the path in autogenerated python files is
    correctly substituted. (LP: #1079938)
 -- Timo Aaltonen <email address hidden>   Wed, 06 Feb 2013 01:13:23 +0200
Superseded in raring-proposed on 2013-02-11
sssd (1.9.4-0ubuntu1) raring; urgency=low

  * Merge from unreleased debian git
    - New upstream release
    - rules: Really install the new pam-auth-update file for password
      changes. (LP: #1086272)
    - rules: Pass --datadir, so the path in autogenerated python files is
      correctly substituted. (LP: #1079938)
  * patches: Remove CVE-fixes, included upstream.
 -- Timo Aaltonen <email address hidden>   Wed, 06 Feb 2013 00:44:31 +0200

Available diffs

Superseded in precise-proposed on 2013-02-08
sssd (1.8.6-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release from the Long Term Maintenance branch.
    (LP: #1086304)
    - Move SELinux processing from session to account PAM stack
      (LP: #1012900)
    - LDAP nested groups: Do not process callback with _post deep in the
      nested structure (LP: #981125)
    - Don't corrupt the credential cache when canonizing principals
      (LP: #985031)
    - Fix race conditions when creating or removing home directories for
      users in local domain. (LP: #1105893)
    - Fix out-of-bounds reads in autofs and ssh responder. (LP: #1105898)
  * sssd.upstart.in: Delete an invisible control character from the pre-start
    script. (LP: #1003845)
  * Replace perl snippet from libnss-sss.post* with sed, drop perl from
    Depends. (LP: #692727)
  * libpam-sss.pam-auth-update*: Add a separate file for the password stack,
    and drop it from the main file. It needs to have a higher priority
    from the rest so that password changes work with both the default install
    and when pam_cracklib is installed.
    (LP: #1086272)
  * rules: Drop remnants of cdbs, use proper paths for configure.
    (LP: #1079938)
 -- Timo Aaltonen <email address hidden>   Wed, 30 Jan 2013 10:47:46 +0200
Superseded in quantal-proposed on 2013-02-08
sssd (1.9.1-0ubuntu1.2) quantal-proposed; urgency=low

  * fix-linking.diff: Link sss_ssh_autorizedkeys and
    sss_ssh_knownhostsproxy with -lpthread (FTBFS).

Superseded in raring-release on 2013-02-11
Deleted in raring-proposed on 2013-02-12 (Reason: moved to release)
sssd (1.9.3-0ubuntu2) raring; urgency=low

  * fix-cve-2013-0219-1.diff, fix-cve-2013-0219-2.diff:
    Fix race conditions when creating or removing home directories for
    users in local domain.
  * fix-cve-2013-0220.diff:
    Fix out-of-bounds reads in autofs and ssh responder.
 -- Timo Aaltonen <email address hidden>   Sat, 26 Jan 2013 11:15:37 +0200

Available diffs

Superseded in raring-release on 2013-01-26
Deleted in raring-proposed on 2013-01-27 (Reason: moved to release)
sssd (1.9.3-0ubuntu1) raring; urgency=low

  * Merge from unreleased debian git.
    - New upstream release
    - Drop soname from libsss-sudo
  * fix-sss_ssh_knownhostsproxy-ldflags.diff: Dropped, upstream.
 -- Timo Aaltonen <email address hidden>   Thu, 06 Dec 2012 22:04:02 +0200

Available diffs

Superseded in raring-release on 2012-12-07
Deleted in raring-proposed on 2012-12-08 (Reason: moved to release)
sssd (1.9.2-0ubuntu5) raring; urgency=low

  * libnss-sss.postinst: SSSD doesn't handle shadow maps, so don't pretend
    that it would.
 -- Timo Aaltonen <email address hidden>   Tue, 04 Dec 2012 11:22:40 +0200

Available diffs

Superseded in raring-release on 2012-12-04
Deleted in raring-proposed on 2012-12-05 (Reason: moved to release)
sssd (1.9.2-0ubuntu4) raring; urgency=low

  * Add -lpthread to sss_ssh_knownhostsproxy LDFLAGS (FTBFS).
 -- Timo Aaltonen <email address hidden>   Sat, 01 Dec 2012 08:58:44 +0200
Superseded in raring-proposed on 2012-12-01
sssd (1.9.2-0ubuntu3) raring; urgency=low

  * Merge from unreleased debian git
    - watch: Add a comment about the upstream git tree.
    - Replace perl snippet from libnss-sss.post* with sed, drop perl from
      Depends. (Closes: #686237, LP: #692727)
    - libpam-sss.pam-auth-update*: Add a separate file for the password stack.
    - compat,rules: Bump compat to 9.
    - rules: Set DEB_HOST_MULTIARCH, drop --libdir and remnants of cdbs.
      (LP: #1079938)
    - sssd.install: Install the support binaries under the multiarch path.
    - rules,sssd.postinst: Move generate-config to /usr/share/sssd.
    - rules, sssd.install: Use the correct install path for the krb5_locator
      plugin.
 -- Timo Aaltonen <email address hidden>   Fri, 30 Nov 2012 18:02:14 +0200

Available diffs

Superseded in raring-release on 2012-12-01
Deleted in raring-proposed on 2012-12-03 (Reason: moved to release)
sssd (1.9.2-0ubuntu2) raring; urgency=low

  * No change rebuild for new libldb.
 -- Stephane Graber <email address hidden>   Thu, 15 Nov 2012 11:01:16 -0500

Available diffs

Superseded in raring-release on 2012-11-15
Deleted in raring-proposed on 2012-11-20 (Reason: moved to release)
sssd (1.9.2-0ubuntu1) raring; urgency=low

  * Merge from unreleased debian git
    - New upstream bugfix release.
  * Revert dropping the PAC responder.
 -- Timo Aaltonen <email address hidden>   Mon, 29 Oct 2012 12:24:39 +0200

Available diffs

Superseded in raring-release on 2012-10-30
Obsolete in quantal-release on 2015-04-24
sssd (1.9.1-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git
    - bugfix release 1.9.1
  * Revert the PAC responder changes to packaging for now, since samba4 is
    in universe.
 -- Timo Aaltonen <email address hidden>   Mon, 08 Oct 2012 12:21:50 +0300

Available diffs

Superseded in quantal-release on 2012-10-08
sssd (1.9.0-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git.
    - final 1.9.0 release
 -- Timo Aaltonen <email address hidden>   Mon, 01 Oct 2012 10:25:23 +0300
Superseded in quantal-release on 2012-10-01
sssd (1.9.0~rc1-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git
    - new bugfix release (LP: #1049123)
 -- Timo Aaltonen <email address hidden>   Fri, 14 Sep 2012 11:32:01 +0300
Superseded in quantal-release on 2012-09-14
sssd (1.9.0~beta6-0ubuntu1) quantal; urgency=low

  * Merge from unreleased debian git. (LP: #1012900)

Superseded in quantal-release on 2012-08-22
sssd (1.8.4-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable, remaining changes:
    - control, rules: Drop libsemanage-dev from build-depends, it's not
      in main. Configure --with-semanage=no.

Available diffs

Superseded in quantal-release on 2012-06-04
sssd (1.8.3-0ubuntu1) quantal; urgency=low

  * Merge from Debian git, remaining changes:
    - control, rules: Drop libsemanage-dev from build-depends, it's not
      in main. Configure --with-semanage=no.

Available diffs

Superseded in quantal-release on 2012-05-24
Published in precise-release on 2012-04-11
sssd (1.8.2-0ubuntu1) precise; urgency=low

  * Merge from Debian git, remaining changes:
    - control, rules: Drop libsemanage-dev from build-depends, it's not
      in main and will not be for precise. Configure --with-semanage=no.

Available diffs

Superseded in precise-release on 2012-04-11
sssd (1.8.1-0ubuntu1) precise; urgency=low

  * Merge from debian git.
  * New upstream bugfix release
    - Resolve issue where we could enter an infinite loop trying to
      connect to an auth server.
    - Fix serious issue with complex (3+ levels) nested groups.
    - Fix netgroup support for case-insensitivity and aliases.
    - Fix serious issue with lookup bundling resulting in requests never
      completing.
    - IPA provider will now check the value of nsAccountLock during.
      pam_acct_mgmt in addition to pam_authenticate.
    - Fix several regressions in the proxy provider.
 -- Timo Aaltonen <email address hidden>   Tue, 13 Mar 2012 14:08:02 +0200

Available diffs

Superseded in precise-release on 2012-03-13
sssd (1.8.0-0ubuntu1) precise; urgency=low

  * Merge from debian git.
    - update to 1.8.0 LTM release (Long Term Maintenance).
 -- Timo Aaltonen <email address hidden>   Thu, 01 Mar 2012 10:38:52 +0200
Superseded in precise-release on 2012-03-04
sssd (1.8.0~beta3-0ubuntu1) precise; urgency=low

  * Merge from debian git.
  * control: lower the Breaks/Replaces to match this upload.
  * control,rules : Drop libsemanage-dev from build-depends, it's not in main
    and will not be for precise. Configure --with-semanage=no.

Superseded in precise-release on 2012-02-16
sssd (1.5.16-0ubuntu1) precise; urgency=low

  * Merge from debian git:
    - new upstream release
    - bump the pam-auth config priority again, to allow password
      changes. Side-effect is that pam_sss is on top of the auth
      stack, which might cause issues if the daemon is misbehaving.
 -- Timo Aaltonen <email address hidden>   Tue, 07 Feb 2012 17:14:52 +0200

Available diffs

Superseded in precise-release on 2012-02-07
sssd (1.5.15-0ubuntu7) precise; urgency=low

  * Rebuild for libdhash and libini-config transition
 -- Andreas Moog <email address hidden>   Sun, 05 Feb 2012 14:32:36 +0100

Available diffs

Superseded in precise-release on 2012-02-05
sssd (1.5.15-0ubuntu6) precise; urgency=low

  * Merge from debian git:
    - Fix upstart job to pass options to the daemon. (LP: #914436)
 -- Timo Aaltonen <email address hidden>   Wed, 11 Jan 2012 02:08:27 +0200

Available diffs

Superseded in precise-release on 2012-01-11
sssd (1.5.15-0ubuntu5) precise; urgency=low

  * Merge changes from debian git:
    - control: Add libsasl2-modules-gssapi-mit and libsasl2-modules-ldap
      to Recommends for sssd. (LP: #902902)
    - rules: Move the rule for purging .la files before dh_install.
    - sssd.install: Fix the wildcard for plugins to include .so symlinks.
 -- Timo Aaltonen <email address hidden>   Mon, 02 Jan 2012 14:34:44 +0200
Superseded in precise-release on 2012-01-02
sssd (1.5.15-0ubuntu4) precise; urgency=low

  * Fix prerm invoke_failure hook to simply return as empty functions
    are invalid shell syntax.
  * Drop auto-generated debian changes as they have most likely been
    generated by mistake (changelog indicated a no change rebuild)
 -- Stephane Graber <email address hidden>   Sat, 31 Dec 2011 17:56:57 +0100
Superseded in precise-release on 2011-12-31
sssd (1.5.15-0ubuntu3) precise; urgency=low

  * Rebuild for new libldb1 (1.1.4)
 -- Stephane Graber <email address hidden>   Sat, 31 Dec 2011 17:30:54 +0100

Available diffs

Superseded in precise-release on 2011-12-31
sssd (1.5.15-0ubuntu2) precise; urgency=low

  * Merged changes from debian git:
    - sssd.upstart.in: Test if the config file exists, and exit if not.
    - Fail gracefully if invoke-rc.d returns an error on postinst/prerm,
      like when the daemon fails to start when there is no config file.
 -- Timo Aaltonen <email address hidden>   Fri, 25 Nov 2011 00:29:51 +0200
Superseded in precise-release on 2011-11-24
sssd (1.5.15-0ubuntu1) precise; urgency=low

  * Merge from Debian git, remaining changes: none.
  * Rebuild against current ldb (LP: #893043).

Available diffs

Superseded in precise-release on 2011-11-24
Obsolete in oneiric-release on 2015-04-24
sssd (1.5.13-0ubuntu1) oneiric; urgency=low

  * FFE: New upstream release. (LP: #860297)
    - control: Add libunistring-dev to build-depends.
    - sssd.install: Include libipa_hbac.so*.
  * Rebuild against current libldb1, and use the multiarch path
    for libldb modules. (LP: #746981)
  * sssd.default:
    - Move the option to run as daemon here.
    - Add option that makes the daemon to use logfiles. (LP: #859602)
  * sssd.upstart:
    - Don't start before net-device-up. (LP: #812943)
    - Source /etc/default/sssd. (LP: #812943)
  * rules: Install the Python API files to /usr/share/sssd, as discussed
    with upstream. (LP: #859611)
  * fix-python-api-path.dpatch: Use the new location for the API files.
    (LP: #859611)
  * libpam-sss.pam-auth-update:
    - Add 'forward_pass' to auth stack to fix ecryptfs mounts. (LP: #826643)
    - Add pam_localuser.so to account stack to allow local users to log in.
      (LP: #860488)
  * control: sssd now Recommends libpam-sss and libnss-sss, since sssd is
    mostly useless without them. (LP: #767337)
 -- Timo Aaltonen <email address hidden>   Tue, 27 Sep 2011 06:03:41 +0300

Available diffs

Superseded in oneiric-release on 2011-09-30
sssd (1.5.8-0ubuntu3) oneiric; urgency=low

  * No change rebuild for libldb version change.
 -- Stephane Graber <email address hidden>   Thu, 04 Aug 2011 16:20:58 -0400

Available diffs

Superseded in oneiric-release on 2011-08-04
sssd (1.5.8-0ubuntu2) oneiric; urgency=low

  [ Fabrice Coutadeur ]
  * Build with packaging from Fabrice's:
    - Multiarch:
      - Add Multi-Arch fields to control
      - Generate libnss-sss.links for multiarch
      - Drop hardcoded path from libnss-sss.install
      - Drop hardcoded path from libnss-sss.overrides
      - Drop hardcoded path from libpam-sss.install
      - Drop hardcoded path from sssd.install

    - Patches:
      - Drop python-build-with-deb-layout.dpatch
      - Refresh provide-default-working-sssd-config-file.dpatch

    - Dependencies:
      - Make libpam-sss depend on libpam-runtime and libpam0g
        for pam-auth-config (maintainer scripts)
      - Make libnss-sss depend on perl and multiarch
      - Update build-depends for new upstream (mostly ding-libs)
      - Recommend bind9-host and ldap-utils when installing sssd
      - Suggest libnss-sss and libpam-sss when installing sssd

    - Maintainer scripts:
      - Add libnss-sss.postinst/postrm to add/remove entries in nssswitch.conf
      - Add pam-auth-update configuration and hooks for libpam-sss
      - Add sssd.preinst to clean up old configuration files (1.0.5 serie)
      - Extend sssd.postinst to use generate-config

    - Other:
      - Add missing Section for python-sss
      - Add generate-config script to build the default configuration
        based on auto-detection of kerberos and ldap servers
      - Add a sysvinit script for cases where we don't have upstart
      - Update FSF address in debian/copyright
      - Rewrite rules for new major upstream release and packaging changes
      - Add /var/lib/sss/pubconf to sssd.dirs
      - Update sssd.examples for new file location

  [ St├ęphane Graber ]
  * Messed up the version number, sorry...
  * Changes done on top of Fabrice's packaging:
    - Do not remove sssd.default from packaging
    - Do not rename the upstart script
    - Remove empty sssd.prerm script
    - Bump standards to 3.9.2
    - Rebase control and changelog on Ubuntu's
    - Remove two unneeded lintian override:
      - shlib-without-versioned-soname
      - postinst-must-call-ldconfig
    - Move multiarch-support to Pre-Depends
    - Write a short description of python-sss
    - Fix typo in package description
    - Bump pam-auth-update priority to 960 (512 + 256 + 128 + 64)
 -- Stephane Graber <email address hidden>   Tue, 21 Jun 2011 13:18:15 -0400
Superseded in oneiric-release on 2011-06-21
sssd (1.5.8-0ubuntu2~ppa1~oneiric1) oneiric; urgency=low

  [ Fabrice Coutadeur ]
  * Build with packaging from Fabrice's:
    - Multiarch:
      - Add Multi-Arch fields to control
      - Generate libnss-sss.links for multiarch
      - Drop hardcoded path from libnss-sss.install
      - Drop hardcoded path from libnss-sss.overrides
      - Drop hardcoded path from libpam-sss.install
      - Drop hardcoded path from sssd.install

    - Patches:
      - Drop python-build-with-deb-layout.dpatch
      - Refresh provide-default-working-sssd-config-file.dpatch

    - Dependencies:
      - Make libpam-sss depend on libpam-runtime and libpam0g
        for pam-auth-config (maintainer scripts)
      - Make libnss-sss depend on perl and multiarch
      - Update build-depends for new upstream (mostly ding-libs)
      - Recommend bind9-host and ldap-utils when installing sssd
      - Suggest libnss-sss and libpam-sss when installing sssd

    - Maintainer scripts:
      - Add libnss-sss.postinst/postrm to add/remove entries in nssswitch.conf
      - Add pam-auth-update configuration and hooks for libpam-sss
      - Add sssd.preinst to clean up old configuration files (1.0.5 serie)
      - Extend sssd.postinst to use generate-config

    - Other:
      - Add missing Section for python-sss
      - Add generate-config script to build the default configuration
        based on auto-detection of kerberos and ldap servers
      - Add a sysvinit script for cases where we don't have upstart
      - Update FSF address in debian/copyright
      - Rewrite rules for new major upstream release and packaging changes
      - Add /var/lib/sss/pubconf to sssd.dirs
      - Update sssd.examples for new file location

  [ St├ęphane Graber ]
  * Changes done on top of Fabrice's packaging:
    - Do not remove sssd.default from packaging
    - Do not rename the upstart script
    - Remove empty sssd.prerm script
    - Bump standards to 3.9.2
    - Rebase control and changelog on Ubuntu's
    - Remove two unneeded lintian override:
      - shlib-without-versioned-soname
      - postinst-must-call-ldconfig
    - Move multiarch-support to Pre-Depends
    - Write a short description of python-sss
    - Fix typo in package description
    - Bump pam-auth-update priority to 960 (512 + 256 + 128 + 64)
 -- Stephane Graber <email address hidden>   Tue, 21 Jun 2011 13:18:15 -0400
Superseded in oneiric-release on 2011-06-21
Obsolete in natty-release on 2013-06-04
sssd (1.2.1-4.1ubuntu3) natty; urgency=low

  * Build-depend on multiarch cdbs and debhelper so we can install our krb5
    plugin to the multiarch path where libkrb5 will look for it; and depend
    on libkrb5-3 (>= 1.8.3+dfsg-5ubuntu2).
  * While we're at it, build for full multiarch and declare our nss and pam
    packages multi-arch: same, with appropriate dependencies on
    multiarch-support (for nss) and libpam0g (for pam).
 -- Steve Langasek <email address hidden>   Sat, 19 Mar 2011 11:19:17 +0000
Superseded in natty-release on 2011-03-19
sssd (1.2.1-4.1ubuntu2) natty; urgency=low

  * No changes upload for libldb0 -> libldb1 transition
 -- Fabrice Coutadeur <email address hidden>   Wed, 23 Feb 2011 20:47:41 +0100
Superseded in natty-release on 2011-02-23
sssd (1.2.1-4.1ubuntu1) natty; urgency=low

  * debian/sssd.install:
    The ldb module directory is now /usr/lib/ldb/modules/ldb.
    (lp: #658909).

Superseded in natty-release on 2011-01-28
sssd (1.2.1-4build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.
 -- Matthias Klose <email address hidden>   Wed, 08 Dec 2010 15:11:05 +0000

Available diffs

Superseded in natty-release on 2010-12-08
Obsolete in maverick-release on 2013-03-05
sssd (1.2.1-4) unstable; urgency=low

  * Add patch from Stephen Gallagher to ensure LDAP authentication
    never accept a zero length password (Closes: #594413).  Solves
    CVE-2010-2940.

Available diffs

Superseded in maverick-release on 2010-09-04
sssd (1.2.1-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Move calls to pam-auth-update from the package scripts in sssd to
    libpam-sss, and correct prerm call to remove the correct pam config.
    Add versioned dependency on libpam-runtime to make sure
    pam-auth-update is available.
  * Add code to the postinst and postrm of libnss-sss to update
    passwd, group and shadow entries in /etc/nsswitch.conf.
  * Make sure init.d/sssd start after $named, to ensure it can look up
    in DNS also when the DNS server is on the local machine.

  [ Morten Werner Forsbring ]
  * New upstream release.

Available diffs

Deleted in lucid-proposed on 2011-01-25 (Reason: unverified SRU)
sssd (1.0.6-0ubuntu1~lucid1) lucid-proposed; urgency=low

  * Upload to lucid-proposed.

Superseded in maverick-release on 2010-07-07
sssd (1.0.6-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release.
    - Fix a serious bug when operating in enumerate=false mode. This
      configuration would occasionally result in periods of several
      minutes where the backend was operating at 100% CPU. (LP: #585885)
 -- Timo Aaltonen <email address hidden>   Wed, 26 May 2010 17:09:11 +0300

Available diffs

Superseded in maverick-release on 2010-05-26
Obsolete in lucid-release on 2016-10-26
sssd (1.0.5-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release. (LP: #510290)
  * sssd.dirs: Add /var/lib/sss/pubconf (LP: #557394)
 -- Timo Aaltonen <email address hidden>   Fri, 16 Apr 2010 11:37:16 +0300

Available diffs

Superseded in lucid-release on 2010-04-17
sssd (1.0.2-0ubuntu2) lucid; urgency=low

  * No change rebuild due to libldb downgrade
 -- Scott Kitterman <email address hidden>   Fri, 02 Apr 2010 17:48:19 -0400

Available diffs

Superseded in lucid-release on 2010-04-02
sssd (1.0.2-0ubuntu1) lucid; urgency=low

  * New upstream release (LP: #473262):
    - python API for managing sssd daemon configuration and
      native SSSD users.
    - support for asynchronous cache refreshes.
    - support password changing in LDAP and Kerberos providers.
    - support for server failover.
  * debian/control:
    - update tdb build dependency to use libtdb-dev.
    - add libselinux1-dev and libsasl2-dev build dependencies.
  * debian/sssd.upstart: replace init script with an upstart job.
  * Turn sssd.conf into a configuration file.
  * Create sssd log directory.
 -- Mathias Gug <email address hidden>   Tue, 19 Jan 2010 15:17:13 -0500

Available diffs

Superseded in lucid-release on 2010-01-19
Obsolete in karmic-release on 2013-03-04
sssd (0.5.0-0ubuntu2) karmic; urgency=low

  * debian/libnss-sss.overrides, debian/sssd.overrides:
    + Fix linitian errors and warnings (LP: #425697):
      sssd ships an nss library - these are false-positives.
  * debian/fix-dbus-watch.dpatch: Update dbus-patch to final
    upstream version.
  * debian/fix-proxy-segfault.dpatch: Fix proxy enumeration.

 -- Mathias Gug <email address hidden>   Wed, 09 Sep 2009 20:21:04 -0400

Available diffs

Superseded in karmic-release on 2009-09-10
sssd (0.5.0-0ubuntu1) karmic; urgency=low

  * Initial release.

 -- Mathias Gug <email address hidden>   Mon, 24 Aug 2009 16:35:11 -0400
76145 of 145 results